Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.118. storelisten(p_receiver integer, p_provider integer, p_origin integer)

Function Properties

Language: PLPGSQL

Return Type: bigint

FUNCTION storeListen (li_origin, li_provider, li_receiver) generate STORE_LISTEN event, indicating that receiver node li_receiver listens to node li_provider in order to get messages coming from node li_origin.

    begin
    	perform storeListen_int (p_origin, p_provider, p_receiver);
    	return  createEvent ('_schemadoc', 'STORE_LISTEN',
    			p_origin::text, p_provider::text, p_receiver::text);
    end;

Prev | Home | Next
store_application_name(i_name text) | Up | storelisten_int(p_li_receiver integer, p_li_provider integer, p_li_origin integer)